Class | Test::Unit::TestCase
In: | lib/spec/interop/test/unit/testcase.rb
Parent: | Object

This extension of the standard Test::Unit::TestCase makes RSpec available from within, so that you can do things like:

require ‘test/unit’ require ‘spec‘

class MyTest < Test::Unit::TestCase

      it "should work with Test::Unit assertions" do
        assert_equal 4, 2+1
      end

      def test_should_work_with_rspec_expectations
        (3+1).should == 5
      end

end

See also Spec::Example::ExampleGroup

### Methods

example_method? new run suite test_method?

### Included Modules

Spec::Example::ExampleMethods

### Public Class methods

example_method?(method_name)
new(defined_description, options={}, &implementation)
suite()
test_method?(method_name)

### Public Instance methods

run(ignore_this_argument=nil)

[Validate]